JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const vaultListResponse of client.vaults.list()) {
console.log(vaultListResponse.collection);
}import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
page = client.vaults.list()
page = page.items[0]
print(page.collection)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Vaults.List(context.TODO(), hyperspell.VaultListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}hyperspell vaults list \
--api-key 'My API Key'curl --request GET \
--url https://api.hyperspell.com/vault/list \
--header 'Authorization: Bearer <token>'
{
"items": [
{
"collection": "<string>",
"document_count": 123
}
],
"next_cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Vault
List vaults
This endpoint lists all collections, and how many documents are in each collection.
All documents that do not have a collection assigned are in the null collection.
GET
/
vault
/
list
JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const vaultListResponse of client.vaults.list()) {
console.log(vaultListResponse.collection);
}import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
page = client.vaults.list()
page = page.items[0]
print(page.collection)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Vaults.List(context.TODO(), hyperspell.VaultListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}hyperspell vaults list \
--api-key 'My API Key'Authorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Was this page helpful?
⌘I